net.sf.jasperreports.engine.convert

## Class ReportConverter

- java.lang.Object
- - net.sf.jasperreports.engine.convert.ReportConverter

-     public class ReportConverter
      extends java.lang.Object

  Version:
    $Id: ReportConverter.java 6863 2014-02-06 09:59:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `GRID_LINE_COLOR`
    `protected java.util.Map<java.lang.String,JRStyle>` | `stylesMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportConverter(JasperReportsContext jasperReportsContext, JRReport report, boolean ignoreContent)`
    `ReportConverter(JRReport report, boolean ignoreContent)` Deprecated. Replaced by `ReportConverter(JasperReportsContext, JRReport, boolean)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectStyles(JRStyle[] styles)`
    `protected void` | `convert(boolean ignoreContent)`
    `void` | `copyBaseAttributes(JRElement source, JRPrintElement converted)`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JasperPrint` | `getJasperPrint()`
    `JasperReportsContext` | `getJasperReportsContext()`
    `JRReport` | `getReport()`
    `protected void` | `loadReportStyles(JRReport report)`
    `protected void` | `loadReportTemplateStyles(JRReportTemplate template, java.util.Set<java.lang.String> loadedLocations)`
    `protected void` | `loadTemplateStyles(java.lang.String location, java.util.Set<java.lang.String> loadedLocations, java.util.Set<java.lang.String> parentLocations)`
    `JRStyle` | `resolveStyle(JRStyleContainer originalContainer)`
    `protected void` | `setStyles(JRReport report)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRID_LINE_COLOR

          public static final java.awt.Color GRID_LINE_COLOR

    - #### stylesMap

          protected java.util.Map<java.lang.String,JRStyle> stylesMap

  - ### Constructor Detail

    - #### ReportConverter

          public ReportConverter(JasperReportsContext jasperReportsContext,
                         JRReport report,
                         boolean ignoreContent)

    - #### ReportConverter

          public ReportConverter(JRReport report,
                         boolean ignoreContent)

      Deprecated. Replaced by `ReportConverter(JasperReportsContext, JRReport, boolean)`.

  - ### Method Detail

    - #### convert

          protected void convert(boolean ignoreContent)

    - #### setStyles

          protected void setStyles(JRReport report)

    - #### loadReportStyles

          protected void loadReportStyles(JRReport report)

    - #### loadReportTemplateStyles

          protected void loadReportTemplateStyles(JRReportTemplate template,
                                      java.util.Set<java.lang.String> loadedLocations)

    - #### loadTemplateStyles

          protected void loadTemplateStyles(java.lang.String location,
                                java.util.Set<java.lang.String> loadedLocations,
                                java.util.Set<java.lang.String> parentLocations)

    - #### collectStyles

          protected void collectStyles(JRStyle[] styles)

    - #### resolveStyle

          public JRStyle resolveStyle(JRStyleContainer originalContainer)

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### getReport

          public JRReport getReport()

    - #### getJasperPrint

          public JasperPrint getJasperPrint()

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

    - #### copyBaseAttributes

          public void copyBaseAttributes(JRElement source,
                                JRPrintElement converted)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com